For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Bulk Destination
      • GETGet Bulk Source
      • GETGet Bulk Source Schema
      • GETGet Bulk Source Status
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • DELDelete Bulk Sync
      • PATCHUpdate Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
Logo
Log inBook a demo
API ReferenceBulk Sync

Get Bulk Destination

GET
https://app.polytomic.com/api/bulk/dest/:id
GET
/api/bulk/dest/:id
$curl https://app.polytomic.com/api/bulk/dest/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "configuration": {
4 "advanced": {
5 "items": {
6 "truncate_existing": {
7 "default": "",
8 "items": null,
9 "required": false
10 }
11 }
12 },
13 "mirror_schemas": {
14 "default": "",
15 "items": null,
16 "required": false
17 },
18 "schema": {
19 "default": "",
20 "items": null,
21 "required": false
22 }
23 },
24 "modes": [
25 {
26 "description": "Replace all records",
27 "id": "snapshot",
28 "label": "Replace",
29 "requires_identity": false,
30 "supports_field_sync_mode": false,
31 "supports_target_filters": false
32 }
33 ],
34 "supported_resync_modes": [
35 "refetch"
36 ]
37 }
38}
Describes the destination configuration schema a connection accepts when used as a bulk sync destination.
Was this page helpful?
Previous

Get Bulk Source

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error